FPLLL(1)

NAME
fplll - fplll applies LLL, BKZ or SVP on a given set of row vectors (either from stdin or in a file given as parameter)

SYNOPSIS
fplll [options] [file]

DESCRIPTION
See /usr/share/doc/libfplll-dev/README.md.gz from the libfplll-dev package for more details.

  List of options:

-a [lll|bkz|hkz|svp|sdb|sld|cvp|hlll]

    lll = LLL-reduce the input matrix (default)

    bkz = BKZ-reduce the input matrix

    hkz = HKZ-reduce the input matrix

    svp = compute a shortest non-zero vector of the lattice

    sdb = reduce the input matrix using the self dual BKZ variant

    sld = slide reduce the input matrix

    cvp = compute the vector in the input lattice closest to an input vector

    hlll = HLLL-reduce the input matrix

-v

    Enable verbose mode

-nolll

    Does not apply the initial LLL-reduction (for bkz, hkz and svp)

-c <c> (default: 0.1)

    An arbitrary double constant > 0 for HLLL

-r <size>

    Was the number of rows (ignored)

-d <delta> (default: 0.99) -delta <delta> (default: 0.99)

-e <eta> (default: 0.51) -eta <eta> (default: 0.51)

-t <theta> (default: 0.001) -theta <theta> (default: 0.001)

-l <lovasz>

    If not zero, use Lovasz's condition, otherwise Siegel's

-f [mpfr|dd|qd|dpe|double|longdouble]

    Floating-point type in LLL

-p <precision>

    Floating-point precision (only with -f mpfr)

-z [mpz|int|long|double]

    Integer type in LLL (default: mpz ; long is the same as int)

-m [wrapper|fast|heuristic|proved]

    LLL version (default: wrapper)

-y

    Enable early reduction

-b <blocksize>

    Size of BKZ blocks

-bkzmaxloops <loops>

    Maximum number of full loop iterations

-bkzmaxtime <seconds>

    Stops after <seconds> seconds.

-bkzautoabort

    Stops when the average slope does not decrease fast enough

-s <filename.json>

    Load BKZ strategies from filename

-bkzghbound <factor>

    Multiplies the Gaussian heuristic by <factor> (of float type)

-bkzboundedlll

    Restricts the LLL call

-bkzdumpgso <file_name>

    Dumps the log of the Gram-Schmidt vectors in specified file

-of [b|c|s|t|u|v|bk|uk|vk]

    Output formats.